Bug 1597860 - Evince is sometimes rendered incorrectly and cannot be controlled
Summary: Evince is sometimes rendered incorrectly and cannot be controlled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evince
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Marek Kašík
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-03 17:33 UTC by Deepu K S
Modified: 2018-10-30 10:27 UTC (History)
3 users (show)

Fixed In Version: evince-3.28.2-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:27:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 783242 0 None None None 2018-07-27 14:51:44 UTC
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:27:56 UTC

Description Deepu K S 2018-07-03 17:33:25 UTC
Description of problem:
After launching a pdf file in Document Viewer (evince), window controls that are rendered as part of X and the application menus cannot be operated.
The mouse pointer changes to indicate it is ready to resize the window and all window controls, application controls, and trying to grab the top title bar to move the window is disabled.

The buttons doesn't respond to mouse clicks, we see the point alignment to the application window is wrong. 
The menu, resizing, right side vertical scroll bar and top right corner application buttons for closing, full screen or minimise doesn't work.

If we move the mouse slowly towards left, I get control of the button which is towards the right.

We have to double click the title bar to maximize and then minimize to get things working.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 7.5
evince-3.22.1-7.el7.x86_64
gtk3-3.22.26-4.el7_5.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open a pdf file in evince.
2. Get a minimized window view of it. Clicking on the maximize window button twice.
3. Now move that window to the top left of the screen.
4. Resize the window from right to left (pull to the possible limit).
5. Close it and reopen the pdf with evince.

Now see that the point alignment to the application window is incorrect.

Actual results:
The mouse pointer alignment to the application window is incorrect.

Expected results:
Should be able to control the window without any problems.

Additional info:

Comment 2 Deepu K S 2018-07-03 17:36:46 UTC
We could see below error when launching evince.

(evince:8693): Gtk-WARNING **: Allocating size to EvSidebar 0x210a4e0 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

I suspected it to be https://bugzilla.gnome.org/show_bug.cgi?id=767136

I tried the fix, but it only suppresses the 'Gtk-WARNING' message, but doesn't fix the problem.

Comment 3 Marek Kašík 2018-07-27 14:51:45 UTC
Hi,

this bug has been fixed in evince 3.28 to which we are rebasing (see #1567186). To be more specific, it was this commit: https://gitlab.gnome.org/GNOME/evince/commit/937e77fc7b078cce3cd2839a42212c124baff9f4.

Regards

Comment 5 Bill Sanford 2018-08-15 16:49:49 UTC
Verified on RHEL-7.6-20180812.n.0 & evince-3.28.2-5

Comment 7 errata-xmlrpc 2018-10-30 10:27:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.